Delete phoneAuthenticationMethod
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete a user's phone authentication method.
Note: This removes the phone number from the user and they will no longer be able to use the number for authentication, whether via SMS or voice calls.
Remember that a user cannot have an alternateMobile number without a mobile number. If you want to remove a mobile number from a user that also has an alternateMobile number, first update the mobile number to the new number, then delete the alternateMobile number.
If the phone number is the user's default Azure multi-factor authentication (MFA) authentication method, it cannot be deleted. Have the user change their default authentication method, and then delete the number.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permissions acting on self
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
Permissions acting on other users
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | UserAuthenticationMethod.ReadWrite.All |
For delegated scenarios where an admin is acting on another user, the admin needs one of the following Azure AD roles:
- Global administrator
- Privileged authentication administrator
- Authentication administrator
HTTP request
DELETE /me/authentication/phoneMethods/{id}
DELETE /users/{id | userPrincipalName}/authentication/phoneMethods/{id}
The value of id corresponding to the phoneType to delete is one of the following:
b6332ec1-7057-4abe-9331-3d72feddfe41to delete thealternateMobilephoneType.e37fc753-ff3b-4958-9484-eaa9425c82bcto delete theofficephoneType.3179e48a-750b-4051-897c-87b9720928f7to delete themobilephoneType.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Examples
Request
The following is an example of the request.
DELETE https://graph.microsoft.com/beta/me/authentication/phoneMethods/3179e48a-750b-4051-897c-87b9720928f7
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for